<div class="uploadfilecontainer"  [ngClass]="{ 'image-container' : imageUrl}">
  <p *ngIf='!imageUrl' [ngClass]="{'dragoverMode': isDragover }">Drag &amp; Drop pour uploader {{photoMode ? 'une photo' : 'un fichier'}}</p>
  <input *ngIf='!photoMode  else photoInput'  multiple="multiple" type="file" #fileInput (change)="uploadFile($event.target.files)">
  <ng-template #photoInput>
    <input accept="image/*"  type="file" #fileInput  (change)="fileSelected($event)">
      <figure  *ngIf='imageUrl'>
        <img [src]="imageUrl" />
      </figure>
  </ng-template>
  <div *ngIf='!imageUrl' [ngClass]="{'dragoverMode': isDragover}">
   <span *ngIf="!isDragover else dropIcon">Uploader</span>
   <ng-template #dropIcon>
     <ng-miam-icon [height]='40' [width]='40' [iconName]='icon.CloudUpload' primaryColor="var( #fff)"></ng-miam-icon>
   </ng-template>
   </div>
   <div class="dropOverlay"  (dragover)="onDragOver($event)"  (dragleave)="onDragLeave($event)"  (drop)="onDrop($event)" (click)="openExplorer()" ></div>
</div>

